Bug 61544 - unable to copy Novell shares to samba shares
unable to copy Novell shares to samba shares
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-21 05:31 EST by Giuseppe Raimondi
Modified: 2007-04-18 12:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-13 20:26:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giuseppe Raimondi 2002-03-21 05:31:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020311

Description of problem:
Samba access problems after an update of RedHat 7.0 to RedHat 7.2.  

the update, the PC was put completely new on new fixed disks, the 
configurations (among other things Samba) and data was taken over 
later or adapted.  There is however with only one access method a 
problem and that is naturally the most important!  
As it should be also different.  

The scenario:  
- a Windows NT-PC shares drives with Novell, NT, and Samba.  
- the data copy between that shares is OK, excepted to the 
  direction Novell toward Samba (and _ ONLY _ these!).  

	Error message under Windows and DOS box:  
        Datei kann nicht kopiert werden: Der Zugriff wurde verweigert.
	Stellen Sie sicher, dass der Datentrdger weder voll
	noch schreibgesch|tz ist und die Datei gerade nicht
	verwendet wird.
        (sorry i have got only at German windows)
	it means something like:
	File cannot be copied: access was refused. Guarantee that the 
        data carriering is neither fully nor write protected and the 
        file even is not used. 

- Samba toward Novell is OK.  
- all other possibilities are OK:  
  samba->samba; nt<->nt; nt<->samba; local-nt<->samba;
- the problem occurs to _ALL_ NT PCs in our network.  
- I had simulated the older Samba-configuration on Rh6.2 and in this
  configuration am _everything_ correct.  
- also that replace of the the RH7.2-Samba version by the RH71-Version  
  led to the removal of the problem.  

The used versions are the originals from that RedHat boxes.  
RH 7.2:  samba-2.2.1a-4    (here is the problem) 
RH 7.1:  samba-2.0.7-36    (all OK) 
RH 7.0:  samba-2.0.7-21ssl (all OK) 
RH 6.2:  samba-2.0.6-9     (also OK).  


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.configure samba
2.mount different shares on an nt client
3.copy from novell shares to samba shares
	

Additional info:
Comment 1 Andrew Bartlett 2002-03-24 04:37:04 EST
Try the current CVS of Samba 2.2 - jra and tridge fixed a number of bugs that
caused 'xcopy /o' to fail, and this may well be the same thing.
Comment 2 Trond Eivind Glomsrxd 2002-03-27 12:00:17 EST
Which version of samba did you test? 2.2.3a or earlier?
Comment 3 Giuseppe Raimondi 2002-03-27 12:21:22 EST
as described above:

The used versions are the originals from that RedHat boxes.  
RH 7.2:  samba-2.2.1a-4    (here is the problem) 
RH 7.1:  samba-2.0.7-36    (all OK) 
RH 7.0:  samba-2.0.7-21ssl (all OK) 
RH 6.2:  samba-2.0.6-9     (also OK).  


Comment 4 Trond Eivind Glomsrxd 2002-03-27 16:30:11 EST
Can you give the 2.2.3a rpms at http://people.redhat.com/teg/samba/ a try? If
there are still problems, it would be very useful if you could try the CVS tree
abartlet referred to - CVS instructions are at http://us1.samba.org/samba/cvs.html
Comment 5 Frank Leonard 2002-04-02 03:14:29 EST
I have checked now the 2.2.3a-RPM-Version and I am sorry, but I am still
having the same Probs :(
Comment 6 Trond Eivind Glomsrxd 2002-07-25 19:43:51 EDT
Is this still a problem with samba 2.2.5, as included in limbo or downloadable
from www.samba.org?
Comment 7 Bart W. Simpson 2002-08-13 20:26:47 EDT
Observed w/ 2.2.3a-6 (RH 7.3). Fixed by samba-2.2.5-1.i386.rpm from samba.org. 

I was surprised someone else would have tried copying files from a NetWare 
server to a Samba server via Windows client!

Thanks!
Comment 8 Frank Leonard 2002-08-19 08:43:18 EDT
All right Folks ! 

after collection - let me think - about a thousand of
additional libraries, that already needed additional 
libraries by themself ... and so on (well nothing new ;). 
i am glad to see samba is now working properly with 
the novell-shares.

thanks a lot
 frank

Note You need to log in before you can comment on or make changes to this bug.